using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations;
using BMA.EHR.Recurit.Exam.Service.Models;

namespace BMA.EHR.Domain.Models.Placement
{
    public class PlacementCertificate : EntityBaseNoIsActive
    {
        [Required, Comment("Id ผู้สมัคร")]
        public virtual PlacementProfile? PlacementProfile { get; set; }
        [MaxLength(20), Comment("เลขที่ใบอนุญาต")]
        public string? CertificateNo { get; set; }
        [MaxLength(200), Comment("หน่วยงานผู้ออกใบอนุญาต")]
        public string? Issuer { get; set; }
        [Comment("วันที่ออกใบอนุญาต")]
        public DateTime? IssueDate { get; set; }
        [Comment("วันที่หมดอายุ")]
        public DateTime? ExpireDate { get; set; }
        [MaxLength(100), Comment("ชื่อใบอนุญาต")]
        public string? CertificateType { get; set; }
    }
}
